graph.followerarraygraph

## Class FollowerArrayGraphVertex

- java.lang.Object
- - list.listinterface.Element
  - - graph.followerarraygraph.FollowerArrayGraphVertex

-     class FollowerArrayGraphVertex
      extends Element

  Vrchol grafu. Wrapper okolo základního vrcholu, který může být obohacen děděním např. o ohodnocení. Wrapper lze vkládat jeko prvek do všelijakých struktur.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `edges` index první hrany incidující s vrcholem
    `private GraphVertex` | `vertex` zapouzdřený vrchol

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerArrayGraphVertex(GraphVertex aVertex, int aFirstEdgeIndex)` Vyrobí instanci FollowerArrayGraphVertex

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `GetEdges()`
    `GraphVertex` | `GetVertex()`
    `void` | `IncEdges()` Zvětší index první hrany.
    `void` | `SetVertex(GraphVertex value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertex

          private GraphVertex vertex

      zapouzdřený vrchol

    - #### edges

          private int edges

      index první hrany incidující s vrcholem

  - ### Constructor Detail

    - #### FollowerArrayGraphVertex

          public FollowerArrayGraphVertex(GraphVertex aVertex,
                                          int aFirstEdgeIndex)

      Vyrobí instanci FollowerArrayGraphVertex
      Parameters:
        `aVertex` - vrchol grafu
        `aFirstEdgeIndex` - index první hrany v poli hran

  - ### Method Detail

    - #### GetVertex

          public GraphVertex GetVertex()

      Returns:
        the vertex

    - #### SetVertex

          public void SetVertex(GraphVertex value)

      Parameters:
        `value` - the vertex to set

    - #### GetEdges

          public int GetEdges()

      Returns:
        the edges

    - #### IncEdges

          public void IncEdges()

      Zvětší index první hrany.